declare enum Classification {
    UNEXPECTED = "UNEXPECTED",
    ACTIONABLE = "ACTIONABLE",
    UNSUPPORTED = "UNSUPPORTED"
}
declare type JsonApiErrorSource = {
    pointer: string;
} | {
    parameter: string;
} | {
    header: string;
};
export declare type JsonApiErrorObject = {
    id?: string;
    links?: {
        about?: string;
    };
    status: string;
    code: string;
    title: string;
    detail: string;
    source?: JsonApiErrorSource;
    meta: {
        [x: string]: any;
        isErrorCatalogError: boolean;
        classification?: Classification;
        logs?: string[];
    };
};
export {};
